---
title: Intl.Locale.prototype.minimize()
slug: Web/JavaScript/Reference/Global_Objects/Intl/Locale/minimize
tags:
  - Internationalization
  - Intl
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p><span class="seoSummary">The <strong><code>Intl.Locale.prototype.minimize()</code></strong> method attempts to remove information about the locale that would be added by calling {{jsxref("Locale/maximize", "Locale.maximize()")}}.</span></p>

<div>{{EmbedInteractiveExample("pages/js/intl-locale-prototype-minimize.html", "taller")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code><em>locale</em>.minimize()</code></pre>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("Locale", "Locale")}} instance whose <code>baseName</code> property returns the result of the <a href="https://www.unicode.org/reports/tr35/#Likely_Subtags">Remove Likely Subtags</a> algorithm executed against <code><em>locale.baseName</em></code>. </p>

<h2 id="Description">Description</h2>

<p>This method carries out the reverse of {{jsxref("Locale/maximize", "maximize()")}}, removing any language, script, or region subtags from the locale language identifier (essentially the contents of <code>baseName</code>). This is useful when there are superfluous subtags in the language identifier; for instance, "en-Latn" can be simplified to "en", since "Latn" is the only script used to write English. <code>minimize()</code> only affects the main subtags that comprise the <a href="https://www.unicode.org/reports/tr35/#Language_Locale_Field_Definitions">language identifier</a>: language, script, and region subtags. Other subtags after the "-u" in the locale indentifier are called extension subtags and are not affected by the <code>minimize()</code> method. Examples of these subtags include {{jsxref("Locale/hourCycle", "Locale.hourCycle")}}, {{jsxref("Locale/calendar", "Locale.calendar")}}, and {{jsxref("Locale/numeric", "Locale.numeric")}}.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_minimize">Using minimize</h3>

<pre class="brush: js">let myLocale = new Intl.Locale("fr-Latn-FR", {hourCycle: "h24", calendar: "gregory"});
console.log(myLocale.baseName); // Prints "fr-Latn-FR"
console.log(myLocale.toString()); // Prints "fr-Latn-FR-u-ca-gregory-hc-h24"

let myLocMinimized = myLocale.minimize();

// Prints "fr", since French is only written in the Latin script
// and is most likely to be spoken in France.
console.log(myLocMinimized.baseName);

// Prints "fr-u-ca-gregory-hc-h24".
// Note that the extension tags (after "-u") remain unchanged.
console.log(myLocMinimized.toString());</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ES Int Draft', '#sec-Intl.Locale.prototype.minimize')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Intl.Locale.minimize")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Locale", "Intl.Locale")}}</li>
 <li>{{jsxref("Locale/baseName", "Intl.Locale.baseName")}}</li>
</ul>
